Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/changemanagement/postapi-v-1-change-management-changes-display-id-notes

# Create note for change by display ID

POST `https://{tenant}.atomicwork.com/api/v1/change-management/changes/{display_id}/notes`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### display\_id (path, string, required)

Display ID of the change

## Body

#### user\_id (body, integer)

#### description (body, string)

#### mentions (body, array of integer)

#### is\_private (body, boolean)

#### source (body, enum (string))

#### type (body, enum (string))

#### attachments (body, array of integer)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/change-management/changes/{display_id}/notes' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"user_id": 0, "description": "string", "mentions": [0], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": [0]}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/change-management/changes/{display_id}/notes', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"user_id": 0, "description": "string", "mentions": [0], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": [0]}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/change-management/changes/{display_id}/notes',
    headers={'X-Api-Key': '<api-key>'},
    json={"user_id": 0, "description": "string", "mentions": [0], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": [0]}
)
data = res.json()
```
